It is possible that when SysRq-G is triggered via the keyboard that we will
miss the "up" event and once KGDB lets the kernel go another SysRq will be
required to clear this, without this change.

Signed-off-by: Tom Rini <trini@kernel.crashing.org>

 drivers/char/keyboard.c |    1 +
 1 file changed, 1 insertion(+)

Index: linux-2.6.19-rc4/drivers/char/keyboard.c
===================================================================
--- linux-2.6.19-rc4.orig/drivers/char/keyboard.c	2006-11-01 21:37:47.000000000 +0000
+++ linux-2.6.19-rc4/drivers/char/keyboard.c	2006-11-01 22:33:11.000000000 +0000
@@ -1183,6 +1183,7 @@ static void kbd_keycode(unsigned int key
 		sysrq_down = 0;
 	if (sysrq_down && down && !rep) {
 		handle_sysrq(kbd_sysrq_xlate[keycode], tty);
+		sysrq_down = 0;		/* In case we miss the 'up' event. */
 		return;
 	}
 #endif
